Get coordinator candidates
-
GET
/platform/infrastructure/coordinators/candidates
Auth
Retrieve a list of all coordinator candidates.
A list of all coordinator candidates.
application/json
-
candidates
object[]
required
-
Summarized information on each coordinator candidate
-
-
name
string
required
-
Name of this coordinator candidate.
-
public_hostname
string
required
-
Public hostname of this coordinator candidate
-
acl
object
required
-
Represents a Zookeeper ACL permission
-
-
perms
integer · format: int32
required
-
ZK static permissions for admin/all/create/read/write/delete
-
scheme
string
required
-
Zookeeper ACL scheme
-
id
string
required
-
Identity within provided scheme
-
id
integer · format: int32
-
Zookeeper server identifier corresponding to this coordinator candidate
-
attributes
map string to string
required
-
Attributes of this coordinator candidate
-
state
enum
required
-
State of the candidate
-
Values:
accepted
pending